import request from '@/utils/request'

// 查询岗位列表
export function listConstruction(query) {
  return request({
    url: '/bracelet/construction/list',
    method: 'get',
    params: query
  })
}

// 查询岗位详细
export function getProject(projectId) {
  return request({
    url: '/bracelet/project/' + projectId,
    method: 'get'
  })
}

// 新增岗位
export function addProject(data) {
  return request({
    url: '/bracelet/project',
    method: 'post',
    data: data
  })
}

// 修改岗位
export function updateProject(data) {
  return request({
    url: '/bracelet/project',
    method: 'put',
    data: data
  })
}

// 删除岗位
export function delProject(projectId) {
  return request({
    url: '/bracelet/project/' + projectId,
    method: 'delete'
  })
}
